#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libvpx-1.15.0

- Next

  Opus-1.5.2

- Up
- Home

# mlt-7.30.0

## Introduction to mlt

The mlt package is the Media Lovin Toolkit. It is an open source multimedia framework, designed and developed for television broadcasting. It provides a toolkit for broadcasters, video editors, media players, transcoders, web streamers and many more types of applications.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/mltframework/mlt/releases/download/v7.30.0/mlt-7.30.0.tar.gz

- Download MD5 sum: ea1ac3e412fe182f6cb5e0e92f7eb116

- Download size: 1.6 MB

- Estimated disk space required: 29 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### mlt Dependencies

#### Required

frei0r-plugins-1.8.0 and Qt-6.8.2

#### Optional

Doxygen-1.13.2, fftw-3.3.10, libexif-0.6.25, SDL2-2.30.11, JACK, MOVEit, SoX, and vid.stab

## Installation of mlt

Install mlt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D MOD_QT=OFF                \
          -D MOD_QT6=ON                \
          -W no-dev .. &&
    make

This package does not come with a test suite. However a test .mp4 file can be played in a local graphical environment with ./out/bin/melt <filename>.mp4.

### Note

This application uses advanced graphical capabilities. In some cases, firmware for your specific graphics adaptor may be needed. See the section called “Firmware for Video Cards” for more information.

Now, as the `root` user:

    make install

## Contents

Installed Program: melt-7 and melt (symlink to melt-7)
Installed Libraries: libmlt-7.so, libmlt++-7.so, and over twenty plugins
Installed Directories: /usr/include/mlt-7, /usr/lib/mlt-7, /usr/lib/cmake/Mlt7, and /usr/share/mlt-7

### Short Descriptions

melt | is a test tool for mlt

- Prev

  libvpx-1.15.0

- Next

  Opus-1.5.2

- Up
- Home